org.eclipse.viatra.query.runtime.matchers.psystem.queries

## Class PProblem

- java.lang.Object
- - org.eclipse.viatra.query.runtime.matchers.psystem.queries.PProblem

-     public class PProblem
      extends java.lang.Object

  Represents an error that was detected while the `PQuery` object was built from a source.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `PProblem(java.lang.Exception exception, java.lang.String shortMessage)`
    `PProblem(java.lang.Exception exception, java.lang.String shortMessage, java.lang.Integer line, java.lang.Integer column)`
    `PProblem(QueryProcessingException exception)`
    `PProblem(java.lang.String shortMessage)`
    `PProblem(java.lang.String shortMessage, java.lang.Integer line, java.lang.Integer column)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.Exception` | `getException()`
    `java.lang.String` | `getLocation()`
    `java.lang.String` | `getShortMessage()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PProblem

          public PProblem(java.lang.String shortMessage)

    - #### PProblem

          public PProblem(java.lang.String shortMessage,
                          java.lang.Integer line,
                          java.lang.Integer column)

      Since:
        2.0

    - #### PProblem

          public PProblem(QueryProcessingException exception)

    - #### PProblem

          public PProblem(java.lang.Exception exception,
                          java.lang.String shortMessage)

    - #### PProblem

          public PProblem(java.lang.Exception exception,
                          java.lang.String shortMessage,
                          java.lang.Integer line,
                          java.lang.Integer column)

      Since:
        2.0

  - ### Method Detail

    - #### getShortMessage

          public java.lang.String getShortMessage()

    - #### getException

          public java.lang.Exception getException()

    - #### getLocation

          public java.lang.String getLocation()

      Since:
        2.0